メインコンテンツへスキップ
PUT
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
Set an app's feature flag
curl --request PUT \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "appId": 123,
  "flagName": "<string>"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
flagName
string
必須

ボディ

application/json
defaultState
enum<string>
必須

The state that the flag should have if there are no overrides for a particular portal

利用可能なオプション:
ABSENT,
OFF,
ON
overrideState
enum<string>

A flag value that supercedes all other overrides, including portal-level values. Mostly used for things like emergency overrides

利用可能なオプション:
ABSENT,
OFF,
ON

レスポンス

successful operation

appId
integer<int32>
必須

The ID of the app

defaultState
enum<string>
必須

The flag state for any portal that doesn't have an override value

利用可能なオプション:
ABSENT,
OFF,
ON
flagName
string
必須

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

利用可能なオプション:
ABSENT,
OFF,
ON
最終更新日 2026年6月5日